#pragma once
#include <string>
#include <vector>


enum class FileDialogType {
    Images,     // .png, .jpg, .bmp, etc.
    Scenes,     // .cene
    Prefabs,    // .cpfb
    AssetPacks, // .cpack, .capk
    Audio,      // .wav, .mp3, .ogg
    Scripts,    // .lua, .py
    Shaders,    // .vert, .frag, .glsl
    Fonts,      // .ttf, .otf
    Models,     // .obj, .fbx, .gltf, etc.
    All         
};




std::string OpenFileDialog(FileDialogType type);
std::string SaveFileDialog(FileDialogType type);
std::string CreateFileDialog(FileDialogType type);
std::vector<std::string> OpenMultipleFilesDialog(FileDialogType type);


